# Data for "Cross-tier web programming for curated databases: A case study"

This repository supports the above paper by providing the data underlying the evaluations, along with the scripts used to perform the evaluations and generate the charts.

There are two subfolders:

  - `benchmarking`
  - `functional-correctness`

The `benchmarking` folder contains the SQL files used to generate random IDs, the JSON files which act as configurations, and the `benchmark.py` script which was used to conduct the evaluation by performing the required web requests.

The `benchmarking/results` folder contains the raw CSV results from the experimental evaluation. The `benchmarking/scripts` folder contains the scripts used to generate the results.

The `functional-correctness` folder contains the `check.py` script used to perform the functional correctness analysis. The `functional-correctness/results` folder contains the results for each experimental scenario.

To run the functional correctness comparison, you will need an up-to-date `chromedriver` executable in the same folder (not included for copyright reasons).
